org.keycloak.authorization.admin

## Class PolicyService

- java.lang.Object
- - org.keycloak.authorization.admin.PolicyService

-     public class PolicyService
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyService(ResourceServer resourceServer, AuthorizationProvider authorization, RealmAuth auth)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `create(PolicyRepresentation representation)`
    `javax.ws.rs.core.Response` | `delete(String id)`
    `javax.ws.rs.core.Response` | `find(String name)`
    `javax.ws.rs.core.Response` | `findAll()`
    `javax.ws.rs.core.Response` | `findById(String id)`
    `javax.ws.rs.core.Response` | `findPolicyProviders()`
    `PolicyEvaluationService` | `getPolicyEvaluateResource()`
    `Object` | `getPolicyTypeResource(String policyType)`
    `javax.ws.rs.core.Response` | `update(String id, PolicyRepresentation representation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicyService

          public PolicyService(ResourceServer resourceServer,
                               AuthorizationProvider authorization,
                               RealmAuth auth)

  - ### Method Detail

    - #### create

          @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response create(PolicyRepresentation representation)

    - #### update

          @Path(value="{id}")
           @PUT
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response update(@PathParam(value="id")
                                                                                                                                                      String id,
                                                                                                                                                      PolicyRepresentation representation)

    - #### delete

          @Path(value="{id}")
           @DELETE
          public javax.ws.rs.core.Response delete(@PathParam(value="id")
                                                                               String id)

    - #### findById

          @Path(value="{id}")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response findById(@PathParam(value="id")
                                                                                                                   String id)

    - #### find

          @Path(value="/search")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response find(@QueryParam(value="name")
                                                                                                                  String name)

    - #### findAll

          @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response findAll()

    - #### findPolicyProviders

          @Path(value="providers")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response findPolicyProviders()

    - #### getPolicyEvaluateResource

          @Path(value="evaluate")
          public PolicyEvaluationService getPolicyEvaluateResource()

    - #### getPolicyTypeResource

          @Path(value="{policyType}")
          public Object getPolicyTypeResource(@PathParam(value="policyType")
                                                                          String policyType)

Copyright © 2016 JBoss by Red Hat. All rights reserved.